import request from "@/utils/httpRequest";
import { REGISTER_PATH as prefix } from "../../AppPath";

export default {
	save(inputForm) {
		return request({
			url: prefix + `/handover/save`,
			method: "post",
			data: inputForm,
		});
	},
	findById(id) {
		return request({
			url: prefix + "/handover/findById",
			method: "get",
			params: { id: id },
		});
	},
	updateStatusById(param) {
		return request({
			url: prefix + "/handover/updateStatusById",
			method: "post",
			data: param,
		});
	},
	saveProject(param) {
		return request({
			url: prefix + "/handover/saveProject",
			method: "post",
			data: param,
		});
	},
	findProjectList(params) {
		return request({
			url: prefix + "/handover/findProjectList",
			method: "get",
			params: params,
		});
	},
};
